## opencv 3.1.0+dfsg1

=== debian/changelog ===
opencv (3.1.0+dfsg1-1~exp1ubuntu3) artful; urgency=medium

  * No-change rebuild for python3.6.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 24 Jul 2017 22:43:38 +0200

opencv (3.1.0+dfsg1-1~exp1ubuntu2) artful; urgency=medium

  * Rebuild against new gdal ABI.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 14 Jul 2017 11:48:48 +0200

opencv (3.1.0+dfsg1-1~exp1ubuntu1) artful; urgency=medium

  * Fix FTBFS of mrpt by properly using __asm__() instead of asm().

 -- Mattia Rizzolo <mapreri@ubuntu.com>  Fri, 23 Jun 2017 16:25:30 +0200

opencv (3.1.0+dfsg1-1~exp1) experimental; urgency=medium

  * Team upload.

  [ Mattia Rizzolo ]
  * Rewrite d/copyright using copyright-format 1.0.
  * Add Files-Excluded listing the removed files.
  * Update watch file, pointing to github.
  * Add the contrib modules as a multiple upstream tarball.
  * Add new build-dependencies needed by contrib modules.
  * Override lintian tag debian-watch-file-should-mangle-version (see #505857).
  * override lintian warning package-name-doesnt-match-sonames for
    libopencv-contrib.
  * Add some DEP-3 descriptions to two patches.

  [ Nobuhiro Iwamatsu ]
  * Remove obsolete files of libopencv-legacy.
  * Build the opencv_contrib libraries.  Closes: #861194
  * Fix Build with HDF5. Add patches/moudles_hdf5.patch

 -- Mattia Rizzolo <mattia@debian.org>  Wed, 26 Apr 2017 18:17:33 +0200

opencv (3.1.0+dfsg-1~exp5) experimental; urgency=medium

  * Team upload.
  * wrap-and-sort -ast.
  * Add (Build-)Depends on libavresample-dev.
  * Add (Build-)Depends on libgphoto2-dev.
  * Install usr/include/opencv2/cvconfig.h in libopencv-core-dev.  LP: #1315418
  * d/rules: use --fail-missing instead of --list-missing, to be really sure
    nothing is left out.

 -- Mattia Rizzolo <mattia@debian.org>  Mon, 24 Apr 2017 01:35:03 +0200

opencv (3.1.0+dfsg-1~exp4) experimental; urgency=medium

  * Team upload.
  * debian/rules cleanup:
    + Remove rm(1)s that do not seem to do anything (anymore).
    + DRY up the BUILDDIR variable.
    + Do not mangle BUILDDIR on i386, there should be no need for it.
    + Add an override to dh_auto_install to pass the correct BUILDDIR (should
      fix FTBFS for kfreebsd-i386 (and probably this is what the original
      BUILDDIR mangling is about)).
    + Proper calls to clean cmake build products.
    + The build system is recognized by debhelper, no need to tell it.
    + Use a single cp call to copy the static libs.

 -- Mattia Rizzolo <mattia@debian.org>  Sun, 23 Apr 2017 22:12:08 +0200

opencv (3.1.0+dfsg-1~exp3) experimental; urgency=medium

  * Team upload.
  * debian/rules:
    + Do not forcefully disable PIE anymore, -pie changed meaning.
      Also remove +fortify, as that's on by default anyway.  Closes: #859440
    + Drop empty override_dh_fixperms.
    + Remove empty directories from the installed tree.
  * debian/control:
    + Make libopencv-dev suggest opencv-doc.  Closes: #806703
    + Drop not needed libgtk2.0-dev dependency of libopencv-highgui-dev.
      Closes: #817017
    + Fix installability problem in case of binNMUs.  Closes: #844067
     Mark libopencv3.1-java as Breaking/Replacing the 2.4 version.
     Closes: #810516
    + Avoid duplicate long descriptions.
  * Build a python3 package.  Closes: #799262; LP: #1556156
    Thanks to Kota Kato <orangain@gmail.com> for the initial patch.
  * Use dh_numpy instead of hardconding the numpy ABI number.
  * Build with GTK+ 3 (instead of GTK+ 2). (Closes: #822607)
  * Remove disabled patches
  * Refresh patches.
  * Remove obsolete lintian override.

 -- Mattia Rizzolo <mattia@debian.org>  Mon, 03 Apr 2017 22:25:01 +0200

opencv (3.1.0+dfsg-1~exp2) experimental; urgency=medium

  * Fix Depends of libopencv-shape3.1 and libopencv-shape-dev.

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Wed, 19 Oct 2016 09:17:57 +0900

opencv (3.1.0+dfsg-1~exp1) experimental; urgency=medium

  * Add old header files into libopencv-dev.
  * Update debian/control.
    - Add Replaces and Conflicts to libopencv-dev.
    - Fix version of libopencv3.1-jni for libopencv3.1-java.
    - Fix Depends of libopencv-dev. Add libopencv3.1-java. (Closes: #833616)
    - Add libopencv-shape-dev to Depends of libopencv-dev. (Closes: #818738)
    - Add libtbb-dev to Depends of libopencv-core-dev. (Closes: #838916)

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Tue, 18 Oct 2016 06:22:32 +0900

opencv (3.1.0+dfsg-1~exp0) experimental; urgency=medium

  * Update to 3.1.0.
  * Add patches/disable_opengl_test_build.
  * Add libjs-mathjax to Depends of opencv-doc and debian/patches/mathjax.
  * Add libjs-jquery to Depends of opencv-doc and add
    debian/patches/change_jquery.js_path.
  * Update Standards-Version to 3.9.8.

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Sat, 25 Jun 2016 06:15:45 +0900

opencv (3.0.0+dfsg-1~exp7) experimental; urgency=medium

  * Fix libopencv_shape dependencies.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 27 Jul 2016 15:07:29 +0200

opencv (3.0.0+dfsg-1~exp6) experimental; urgency=medium

  [ Nobuhiro Iwamatsu ]
  * Fix missing install of opencv2/core.hpp

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Tue, 26 Jul 2016 08:39:25 +0200

opencv (3.0.0+dfsg-1~exp5) experimental; urgency=medium

  * Fix libvtk6.3 runtime dependency

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sun, 17 Jul 2016 10:08:15 +0200

opencv (3.0.0+dfsg-1~exp4) experimental; urgency=medium

  * Upload again on experimental, to build against new gdal 2.1.1

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sat, 16 Jul 2016 10:07:18 +0200

opencv (3.0.0+dfsg-1~exp3) experimental; urgency=medium

  [ Andreas Cadhalpun ]
  * Fix build with ffmpeg 3.0. (Closes: #803847)

  [ Gianfranco Costamagna ]
  * Team upload
  * merge unstable NMUs
  * rebase ffmpeg patch
  * Disable optimize i586 patch, now Debian has i686

  [ Tobias Frost ]
  * Do not use precompiled headers (Closes: #818450)

  [ Mattia Rizzolo ]

