## opencv 3.2.0%2Bdfsg.1

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: opencv
 Priority: optional
 Section: devel
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Science Team <debian-science-maintainers@lists.alioth.debian.org>
+Maintainer: Debian Science Team <debian-science-maintainers@lists.alioth.debian.org>
 Uploaders:
  Sam Hocevar (Debian packages) <sam+deb@zoy.org>,
  Nobuhiro Iwamatsu <iwamatsu@debian.org>,
@@ -16,10 +15,11 @@
  javahelper,
  libavcodec-dev,
  libavformat-dev,
- libavresample-dev,
+ libswresample-dev,
  libdc1394-22-dev [linux-any],
  libeigen3-dev,
  libgdal-dev,
+ libgdcm2-dev [!hppa !m68k !powerpcspe !sh4],
  libgl1-mesa-dev,
  libglu1-mesa-dev,
  libgoogle-glog-dev,
@@ -33,11 +33,12 @@
  libprotobuf-dev,
  libraw1394-dev [linux-any],
  libswscale-dev,
- libtbb-dev [i386 amd64 ia64 powerpc ppc64 ppc64el],
+ libtbb-dev [amd64 arm64 armel armhf i386 mips mips64el mipsel ppc64el s390x powerpc powerpcspe ppc64 sh4 sparc64],
  libtesseract-dev,
  libtiff-dev,
  libv4l-dev [linux-any],
  libvtk6-dev,
+ maven-repo-helper,
  ocl-icd-opencl-dev,
  protobuf-compiler,
  python-dev,
@@ -45,10 +46,10 @@
  python3-dev,
  python3-numpy,
  zlib1g-dev (>= 1.2.5),
-Standards-Version: 3.9.8
-Vcs-Git: https://anonscm.debian.org/git/debian-science/packages/opencv.git
-Vcs-Browser: https://anonscm.debian.org/git/debian-science/packages/opencv.git
-Homepage: http://opencv.org/
+Standards-Version: 4.1.1
+Vcs-Git: https://salsa.debian.org/science-team/opencv.git -b sid
+Vcs-Browser: https://salsa.debian.org/science-team/opencv
+Homepage: https://opencv.org
 
 Package: opencv-doc
 Section: doc
@@ -97,7 +98,7 @@
  libopencv-videoio-dev (= ${binary:Version}),
  libopencv-videostab-dev (= ${binary:Version}),
  libopencv-viz-dev (= ${binary:Version}),
- libopencv3.1-java (= ${source:Version}),
+ libopencv3.2-java (= ${source:Version}),
  pkg-config,
  ${misc:Depends},
  ${shlibs:Depends},
@@ -112,9 +113,9 @@
  libcvaux-dev,
  libhighgui-dev,
 Conflicts:
- libcv-dev (<= 2.4.9.1+dfsg-2.1),
- libcvaux-dev (<= 2.4.9.1+dfsg-2.1),
- libhighgui-dev (<= 2.4.9.1+dfsg-2.1),
+ libcv-dev,
+ libcvaux-dev,
+ libhighgui-dev,
 Description: development files for opencv
  This is a metapackage providing development package necessary for
  development of OpenCV (Open Computer Vision).
@@ -155,11 +156,11 @@
 Architecture: any
 Multi-Arch: same
 Depends:
- libopencv-core3.1 (= ${binary:Version}),
- libtbb-dev [i386 amd64 ia64 powerpc ppc64 ppc64el],
+ libopencv-core3.2 (= ${binary:Version}),
+ libtbb-dev [amd64 arm64 armel armhf i386 mips mips64el mipsel ppc64el s390x powerpc powerpcspe ppc64 sh4 sparc64],
  zlib1g-dev,
  ${misc:Depends},
-Description: development files for libopencv-core3.1
+Description: development files for libopencv-core3.2
  This package contains the header files and static library needed to compile
  applications that use OpenCV (Open Computer Vision) core.
  .
@@ -173,7 +174,7 @@
  analysis, structural analysis, motion analysis and object tracking, object
  recognition, camera calibration and 3D reconstruction.
 
-Package: libopencv-core3.1
+Package: libopencv-core3.2
 Section: libs
 Architecture: any
 Multi-Arch: same
@@ -201,9 +202,9 @@
 Multi-Arch: same
 Depends:
  libopencv-core-dev (= ${binary:Version}),
- libopencv-ml3.1 (= ${binary:Version}),
- ${misc:Depends},
-Description: development files for libopencv-ml3.1
+ libopencv-ml3.2 (= ${binary:Version}),
+ ${misc:Depends},
+Description: development files for libopencv-ml3.2
  This package contains the header files and static library needed to compile
  applications that use OpenCV (Open Computer Vision) Machine Learning library.
  .
@@ -217,14 +218,14 @@
  analysis, structural analysis, motion analysis and object tracking, object
  recognition, camera calibration and 3D reconstruction.
 
-Package: libopencv-ml3.1
+Package: libopencv-ml3.2
 Section: libs
 Architecture: any
 Multi-Arch: same
 Pre-Depends:
  ${misc:Pre-Depends},
 Depends:
- libopencv-core3.1 (= ${binary:Version}),
+ libopencv-core3.2 (= ${binary:Version}),
  ${misc:Depends},
  ${shlibs:Depends},
 Description: computer vision Machine Learning library
@@ -247,9 +248,9 @@
 Multi-Arch: same
 Depends:
  libopencv-core-dev (= ${binary:Version}),
- libopencv-imgproc3.1 (= ${binary:Version}),
- ${misc:Depends},
-Description: development files for libopencv-imgproc3.1
+ libopencv-imgproc3.2 (= ${binary:Version}),
+ ${misc:Depends},
+Description: development files for libopencv-imgproc3.2
  This package contains the header files and static library needed to compile
  applications that use OpenCV (Open Computer Vision) Image Processing library.
  .
@@ -263,14 +264,14 @@
  analysis, structural analysis, motion analysis and object tracking, object
  recognition, camera calibration and 3D reconstruction.
 
-Package: libopencv-imgproc3.1
+Package: libopencv-imgproc3.2
 Section: libs
 Architecture: any
 Multi-Arch: same
 Pre-Depends:
  ${misc:Pre-Depends},
 Depends:
- libopencv-core3.1 (= ${binary:Version}),
+ libopencv-core3.2 (= ${binary:Version}),
  ${misc:Depends},
  ${shlibs:Depends},
 Description: computer vision Image Processing library
@@ -292,10 +293,11 @@
 Architecture: any
 Multi-Arch: same
 Depends:
- libopencv-imgcodecs3.1 (= ${binary:Version}),
+ libgdcm2-dev [!hppa !m68k !powerpcspe !sh4],
+ libopencv-imgcodecs3.2 (= ${binary:Version}),
  libopencv-imgproc-dev (= ${binary:Version}),
  ${misc:Depends},
-Description: development files for libopencv-imgcodecs3.1
+Description: development files for libopencv-imgcodecs3.2
  This package contains the header files and static library needed to compile
  applications that use OpenCV (Open Computer Vision) Image Codecs library.
  .
@@ -309,17 +311,15 @@
  analysis, structural analysis, motion analysis and object tracking, object
  recognition, camera calibration and 3D reconstruction.
 
-Package: libopencv-imgcodecs3.1
+Package: libopencv-imgcodecs3.2
 Section: libs
 Architecture: any
 Multi-Arch: same
 Pre-Depends:
  ${misc:Pre-Depends},
 Depends:
- libopencv-imgproc3.1 (= ${binary:Version}),
+ libopencv-imgproc3.2 (= ${binary:Version}),
  ${misc:Depends},
  ${shlibs:Depends},
 Description: computer vision Image Codecs library
  This package contains the OpenCV (Open Computer Vision) Image Codecs
- runtime libraries.
- .
